## ros-kinetic-autoware-map-msgs 1.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(autoware_map_msgs)

find_package(catkin REQUIRED COMPONENTS
  std_msgs
  message_generation
)

add_message_files(
  FILES
  Point.msg
  Waypoint.msg
  Lane.msg
  SignalLight.msg
  Signal.msg
  LaneSignalLightRelation.msg
  WaypointSignalRelation.msg
  Area.msg
  WaypointRelation.msg
  LaneRelation.msg
  WaypointLaneRelation.msg
  LaneAttributeRelation.msg
  LaneChangeRelation.msg
  OppositeLaneRelation.msg
  Wayarea.msg

  PointArray.msg
  WaypointArray.msg
  LaneArray.msg
  SignalLightArray.msg
  SignalArray.msg
  LaneSignalLightRelationArray.msg
  WaypointSignalRelationArray.msg
  AreaArray.msg
  WaypointRelationArray.msg
  LaneRelationArray.msg
  WaypointLaneRelationArray.msg
  LaneAttributeRelationArray.msg
  LaneChangeRelationArray.msg
  OppositeLaneRelationArray.msg
  WayareaArray.msg
)

generate_messages(
  DEPENDENCIES
  std_msgs
)

catkin_package(
  CATKIN_DEPENDS message_runtime std_msgs
)

=== debian/changelog ===
ros-kinetic-autoware-map-msgs (1.12.0-1xenial) xenial; urgency=high

  * Adding CHANGELOG for autoware_external_msgs and autoware_map_msgs.
  * Updating autoware_map_msgs version for ROS release.
  * Merge branch 'fix/remove_unnecessary_depend' into 'master'
    Removing unused depend in autoware_map_msgs.
    See merge request autowarefoundation/autoware.ai/messages!4
  * Removing unused depend in autoware_map_msgs.
  * Merge branch 'feature/autoware_map_msgs' into 'master'
    Add autoware_map_msgs package
    See merge request autowarefoundation/autoware.ai/messages!2
  * add autoware_map_msgs
    Signed-off-by: mitsudome-r <mailto:ryohsuke.mitsudome@tier4.jp>
  * Contributors: Abraham Cano, Geoffrey Biggs, Joshua Whitley, mitsudome-r

 -- mitsudome-r <ryohsuke.mitsudome@tier4.jp>  Fri, 12 Jul 2019 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-autoware-map-msgs
Section: misc
Priority: extra
Maintainer: mitsudome-r <ryohsuke.mitsudome@tier4.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-autoware-map-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime, ros-kinetic-std-msgs
Description: Includes messages to handle each class in Autoware Map Format

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-autoware-map-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
